# $Id: smeserver-qpsmtpd-spamassassinlevelstars.spec,v 1.1 2013/03/03 21:56:36 unnilennium Exp $
# Authority: mweinber
# Name: Michael Weinberger

Summary: qpsmtpd plugin that adds "X-Spam-Level:" headerline (SME7)
%define realname smeserver-qpsmtpd-spamassassinlevelstars
Name: %{realname}
%define version 0.0.2
Version: %{version}
%define release 1
Release: %{release}%{?dist}
License: GNU GPL (GNU General Public License)
Group: Mail
Source: %{realname}-%{version}.tar.gz
BuildRoot: /var/tmp/%{realname}-%{version}-buildroot/
BuildArch: noarch
Requires: smeserver-release >= 7
AutoReqProv: no
Patch0: smeserver-qpsmtpd-spamassassinlevelstars-0.0.2-bug4461.patch

%description
Plugin that adds "X-Spam-Level:" headerline

%changelog
* Mon Jul 08 2008 Michael Weinberger
- fixed bug 4461
* Fri Jan 05 2007 Michael Weinberger
- moved to peers directory (SME7.1)
* Tue May 02 2006 Michael Weinberger
- initial release 0.0.1

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1 

%build

%install
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}-filelist
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

rm -f %{name}-%{version}-filelist

find $RPM_BUILD_ROOT -depth -type f -print |\
 sed -e "s@^$RPM_BUILD_ROOT@@g" \
 -e "s@^/usr/lib/qpsmtpd/plugins/@%attr(0644,root,root) &@"\
 -e "s@^/etc/e-smith/templates/var/service/qpsmtpd/config/plugins/@%attr(0644,root,root) &@"\
 >> %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
